@echo off

echo.
echo Vier und zwanzig stunden programme - ohne werbung!
echo.
echo 380 volt by Goto10 (party version) is loading!
echo.

ctty nul
ren dit.dat 380data.exe
ctty con

if not '%1'=='' echo Temp drive %1 specified.
if not '%1'=='' goto TDS

ctty nul
md c:\380380!!
380data -o c:\380380!!
ren 380data.exe dit.dat
if errorlevel 1 goto Er
if not exist c:\380380!!\380voltm.exe goto er
c:
cd c:\380380!!
shutoff
cs3mtsr 380.s3m
turnon
380voltm
shutoff
cs3mtsr
turnon
for %%f in (*.*) do del %%f
cd\
rd 380380!!
c:
cd\
ctty con
goto end


:TDS
ctty nul
md %1\380380!!
380data -o %1\380380!!
ren 380data.exe dit.dat
if errorlevel 1 goto Er
if not exist %1\380380!!\380voltm.exe goto er
%1
cd %1\380380!!
shutoff
cs3mtsr 380.s3m
turnon
380voltm
shutoff
cs3mtsr
turnon
for %%f in (*.*) do del %%f
cd\
rd 380380!!
c:
cd\
ctty con
goto end

echo 

goto end
:er

echo How i hate this... You need 5mb free diskspace on C:. I'm sorry, but
echo this is only a preview. If you feel the need to use another drive,
echo try specifying it as a parameter, like:
echo 380volt D:

:end
echo I hope you liked it! Watch out for the final release - including source

